/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.testhook.hook.service.impl;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.User;
import com.liferay.portal.service.UserLocalService;
import com.liferay.portal.service.UserLocalServiceWrapper;
import com.liferay.testhook.hook.model.impl.TestUserImpl;

/**
 * @author Brian Wing Shun Chan
 */
public class TestUserLocalServiceImpl extends UserLocalServiceWrapper {

	public TestUserLocalServiceImpl(UserLocalService userLocalService) {
		super(userLocalService);
	}

	@Override
	public User getUserById(long userId)
		throws PortalException, SystemException {

		System.out.println(
			"Called TestUserLocalServiceImpl.getUserById(" + userId + ")");

		User user = super.getUserById(userId);

		return new TestUserImpl(user);
	}

}