<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<h3>portal-properties</h3>

<p>
	<%= _testProperty("terms.of.use.required", false) %><br />
</p>

<p>
	application.startup.events=<%= _assertTrue(TestHookUtil.getStartupActionFile().exists()) %>
</p>

<p>
	<%= _testProperty("field.enable.com.liferay.portal.model.Contact.male", false) %><br />
	<%= _testProperty("field.enable.com.liferay.portal.model.Contact.birthday", false) %><br />
	<%= _testProperty("field.enable.com.liferay.portal.model.Organization.status", true) %>
</p>

<h3>language-properties</h3>

<p>
	javax.portlet.title.33=<%= _assertEquals("Blogger", LanguageUtil.get(pageContext, "javax.portlet.title.33")) %>
</p>

<h3>custom-jsp-dir</h3>

<liferay-util:buffer var="blogsViewJsp">
	<liferay-util:include page="/html/portlet/blogs/view.jsp" />
</liferay-util:buffer>

<p>
	/META-INF/custom_jsps=<%= _assertTrue(blogsViewJsp.contains("Custom Blogs Header")) %>
</p>

<h3>service</h3>

<p>
	com.liferay.portal.service.UserLocalService=<%= _assertEquals(TestUserImpl.class.getName(), UserLocalServiceUtil.getUserByEmailAddress(themeDisplay.getCompanyId(), "test@liferay.com").getClass().getName()) %>
</p>

<%!
private static String _assertEquals(Object expected, Object actual) {
	return _assertTrue(Validator.equals(expected, actual));
}

private static String _assertFalse(boolean value) {
	return _assertTrue(!value);
}

private static String _assertFalse(String value) {
	return _assertFalse(GetterUtil.getBoolean(value));
}

private static String _assertTrue(boolean value) {
	if (value) {
		return "PASSED";
	}
	else {
		return "FAILED";
	}
}

private static String _assertTrue(String value) {
	return _assertTrue(GetterUtil.getBoolean(value));
}

private static String _testProperty(String key, boolean expected) throws Exception {
	StringBuilder sb = new StringBuilder();

	sb.append(key);
	sb.append(StringPool.EQUAL);

	String actual = PropsUtil.get(key);

	if (expected) {
		sb.append(_assertTrue(actual));
	}
	else {
		sb.append(_assertFalse(actual));
	}

	return sb.toString();
}
%>